4Suite™ API Documentation

# ► Module Ft.Xml.Xslt.Exslt.Functions

EXSLT 2.0 - Functions (http://www.exslt.org/func/index.html) WWW: http://4suite.org/XSLT e-mail: support@4suite.org

    Copyright (c) 2001 Fourthought Inc, USA.   All Rights Reserved.
    See  http://4suite.org/COPYRIGHT  for license and copyright information

Classes: FunctionElement, ResultElement, ScriptElement |  |  |  | Globals: EXSL_FUNCTIONS_NS, ExtElements, ExtFunctions, ExtNamespaces, XSL_NAMESPACE

## Classes

class FunctionElement(Ft.Xml.Xslt.StylesheetTree.XsltElement)

  ### Methods

  __call__(self, context, *args)
  prime(self, processor, context)
    Overrides: prime from class XsltElement

  ### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

  __init__, __str__, appendChild, expandQName, insertChild, instantiate, parseAVT, parseExpression, parsePattern, processChildren, splitQName

  ### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

  idle, isLastChild, isPseudoNode, pprint, setup

  ### Members

  content = <Ft.Xml.Xslt.ContentInfo.Seq instance>
  doesPrime = True
  legalAttrs = {'name': <Ft.Xml.Xslt.AttributeInfo.QNameButNotNCName instance>}

  ### Members inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

  category, validator

  ### Members inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

  attributes, baseUri, children, columnNumber, doesIdle, doesSetup, expandedName, importIndex, lineNumber, nodeName, parent, root
class ResultElement(Ft.Xml.Xslt.StylesheetTree.XsltElement)
  When an func:result element is instantiated, during the instantiation of a func:function element, the function returns with its value.

  ### Methods

  instantiate(self, context, processor)
    Overrides: instantiate from class XsltElement
  prime(self, processor, context)
    Overrides: prime from class XsltElement
  setup(self)
    Overrides: setup from class XsltElement

  ### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

  __init__, __str__, appendChild, expandQName, insertChild, parseAVT, parseExpression, parsePattern, processChildren, splitQName

  ### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

  idle, isLastChild, isPseudoNode, pprint

  ### Members

  content = <Ft.Xml.Xslt.ContentInfo.Rep instance>
  doesPrime = True
  doesSetup = True
  legalAttrs = {'select': <Ft.Xml.Xslt.AttributeInfo.Expression instance>}

  ### Members inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

  category, validator

  ### Members inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

  attributes, baseUri, children, columnNumber, doesIdle, expandedName, importIndex, lineNumber, nodeName, parent, root
class ScriptElement(Ft.Xml.Xslt.StylesheetTree.XsltElement)
  NOT YET IMPLEMENTED

      The top-level func:script element provides an implementation of
      extension functions in a particular namespace.

  ### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

  __init__, __str__, appendChild, expandQName, insertChild, instantiate, parseAVT, parseExpression, parsePattern, processChildren, splitQName

  ### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

  idle, isLastChild, isPseudoNode, pprint, prime, setup

  ### Members inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

  category, content, legalAttrs, validator

  ### Members inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

  attributes, baseUri, children, columnNumber, doesIdle, doesPrime, doesSetup, expandedName, importIndex, lineNumber, nodeName, parent, root

## Globals

EXSL_FUNCTIONS_NS = 'http://exslt.org/functions'
ExtElements = {('http://exslt.org/functions', 'function'): <class Ft.Xml.Xslt.Exslt.Functions.FunctionElement>, ('http://exslt.org/functions', 'result'): <class Ft.Xml.Xslt.Exslt.Functions.ResultElement>}
ExtFunctions = {}
ExtNamespaces = {'http://exslt.org/functions': 'func'}
XSL_NAMESPACE = u'http://www.w3.org/1999/XSL/Transform'